[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TAlignInfo

Used in custom alignment (alCustom).

## Declaration

Source position: controls.pp line 2048

`type TAlignInfo = record`
`AlignList: TFPList;` |  | The list of controls currently being aligned.
`ControlIndex: Integer;` |  | Index of current control.
`Align: TAlign;` |  | The kind of alignment currently processed (always alCustom).
`Scratch: Integer;` |  | For internal use.
`end;`

## Description

This record was added for compatibility with Delphi releases after Version 7. It is used in CustomInsertBefore and CustomAlignPosition methods and handlers.

## See also

TWinControl.CustomAlignPosition |  | Returns the aligned position for a custom-aligned child control, using the OnAlignPosition event handler.
TWinControl.CustomAlignInsertBefore |  | Indicates whether the specified controls were custom-aligned using the OnAlignInsertBefore handler.